<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
require_once"../template/isset.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);}

$log=check($log);

echo '<img src="../images/img/partners.gif" alt=""> <b>Регистрация</b><br><br>';

if($config_openreg==1){
if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {	
echo '<br><b>'.check($log).', вы уже регистрировались, нельзя регистрироваться несколько раз</b><br><br>';
}else{
	
echo'Внимание! В полях имя и пароль разрешено использовать только знаки латинского алфавита и цифры,<br> а также знак тире!(Пробел недопустим)<br>';
if($config_regkeys==1){
echo'<font color="#FF0000">Включено подтверждение регистрации! Вам на почтовый ящик будет выслан мастер-ключ, который необходим для подтверждения регистрации</font><br>';}
if($config_karantin>0){
echo'<font color="#FF0000">Включен карантин! Новые пользователи не могут писать сообщения в течении '.round($config_karantin/3600).' часов после регистрации</font><br>';}

if(empty($_SESSION['press_kod'])){
$press_kod=rand(1000,9999);
$_SESSION['press_kod'] = $press_kod;}

if($config_themes!="wml"){
echo'<br><form method="post" action="reguser.php?'.SID.'">';
echo'<font color="red">Логин: *</font><br><input name="log" maxlength="40" /><br>';
echo'<font color="red">Пароль: *</font><br><input name="par" type="password" maxlength="20" /><br>';
echo'<font color="red">Повторите пароль: *</font><br><input name="pars" type="password" maxlength="20" /><br>';
echo'<font color="red">Ваш e-mail: *</font><br><input name="meil" maxlength="50" value="@" /><br>';
echo'<font color="red">Проверочный код: *</font> <b>'.$press_kod.'</b><br><input name="provkod" maxlength="6" /><br><br>';
echo'<input value="Зарегистрироваться" name="do" type="submit" /></form><hr>';
}else{
/////////////////////////////////////////////////////////


echo'Логин: *<br><input name="log" maxlength="20"/><br>';
echo'Пароль: *<br><input name="par" type="password" maxlength="20"/><br>';
echo'Повторите пароль: *<br><input name="pars" type="password" maxlength="20"/><br>';
echo'Ваш е-мэйл: *<br><input name="meil" maxlength="50"/><br>';
echo'Проверочный код: * <b>'.$press_kod.'</b><br><input name="provkod" maxlength="6"/><br><br>';

echo'<anchor>Зарегистрироваться';
echo'<go href="reguser.php?'.SID.'" method="post">';
echo'<postfield name="log" value="$(log)"/>';
echo'<postfield name="par" value="$(par)"/>';
echo'<postfield name="pars" value="$(pars)"/>';
echo'<postfield name="meil" value="$(meil)"/>';
echo'<postfield name="provkod" value="$(provkod)"/>';
echo'</go></anchor><br>--------------------<br>';

}

echo 'Все поля обязательны для заполнения, более полную информацию о себе вы можете добавить в своем профиле после регистрации<br>';
echo 'Указывайте верный е-мэйл, на него будут высланы регистрационные данные<br><br>';
}

}else{echo'<img src="../images/img/error.gif" alt=""> Регистрация временно приостановлена, пожалуйста зайдите позже!<br><br>';}

echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>